import { AnimatorStateLogic } from "../../../../../../extensions/oops-plugin-framework/assets/libs/animator/core/AnimatorStateLogic";
import { Puppet } from "../../puppet";


/** 非状态逻辑 */
export class PuppetStateFly extends AnimatorStateLogic {
    private puppet: Puppet;

    public constructor(puppet: Puppet) {
        super();
        this.puppet = puppet;
    }


    public onEntry() {

    }

    public onUpdate() {

    }

    public onExit() {

    }
}
